<?php
/**
 * Joomla! 1.5 component simpleimage
 *
 * @version $Id: simpleimage.php 2010-06-09 12:02:32 svn $
 * @author Darlinton Prauchner
 * @package Joomla
 * @subpackage simpleimage
 * @license GNU/GPL
 *
 * Componente para o envio de imagens com legenda e redimensionamento automático.
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Define constants for all pages
 */
define( 'COM_SIMPLEIMAGE_DIR', 'images'.DS.'simpleimage'.DS );
define( 'COM_SIMPLEIMAGE_BASE', JPATH_ROOT.DS.COM_SIMPLEIMAGE_DIR );
define( 'COM_SIMPLEIMAGE_BASEURL', JURI::root().str_replace( DS, '/', COM_SIMPLEIMAGE_DIR ));

define( 'COM_SIMPLEIMAGE_STORIES_DIR', 'images'.DS.'stories'.DS );
define( 'COM_SIMPLEIMAGE_GALERIA_DIR', 'images'.DS.'stories'.DS.'galeria'.DS );
define( 'COM_SIMPLEIMAGE_BANNER_DIR', 'images'.DS.'banners'.DS );
define( 'ABSOLUTE_GALERIA_DIR', JPATH_ROOT.DS.COM_SIMPLEIMAGE_GALERIA_DIR );
define( 'ABSOLUTE_BANNER_DIR', JPATH_ROOT.DS.COM_SIMPLEIMAGE_BANNER_DIR );
define( 'ABSOLUTE_STORIES_DIR', JPATH_ROOT.DS.COM_SIMPLEIMAGE_STORIES_DIR );



// Require the base controller
require_once JPATH_COMPONENT.DS.'controller.php';

// Require the base controller
require_once JPATH_COMPONENT.DS.'helpers'.DS.'SimpleImage.php';

// Initialize the controller
$controller = new SimpleimageController( );

// Perform the Request task
$controller->execute( JRequest::getCmd('task'));
$controller->redirect();
?>